<?php
header("Content-Security-Policy: default-src 'self'; style-src 'self' 'unsafe-inline' https://fonts.googleapis.com; font-src 'self' https://fonts.gstatic.com; frame-src https://*.youtube-nocookie.com; script-src 'self' 'unsafe-inline' 'unsafe-eval' https://jannikb.aquila.uberspace.de/piwik/; img-src 'self' https://jannikb.aquila.uberspace.de/piwik/");
//header("X-Content-Type-Options: nosniff");  // enabled at server-side
//header("X-Frame-Options: deny");            // enabled at server-side
//header("X-Xss-Protection: 1; mode=block");  // enabled at server-side

/*
License Setup
*/
c::set('license', 'K2-PRO-153c9c6accc73d9547e255a0daba8911');

/*
Kirby Configuration
*/
c::set('cache', true);
c::set('cache.ignore', array('sitemap'));

c::set('ssl', true);

c::set('routes', array(
  array(
    'pattern' => 'sitemap.xml',
    'action'  => function() {
      return site()->visit('sitemap');
    }
  )
));

/*
Modules Configuration
*/

// plg-carousel
c::set('plg_carousel.enable', true);
c::set('plg_carousel.sort', 'sort'); // sortBy parameter: sort, title, etc.
c::set('plg_carousel.dir', 'asc');   // sortBy direction: asc, desc

// plg-masonry
c::set('plg_masonry.enable', true);
c::set('plg_masonry.width', 170);
//c::set('plg_masonry.sizelimit', 1300);  // limit the source image size (long edge)
c::set('plg_masonry.sort', 'sort');     // sortBy parameter: sort, title, etc.
c::set('plg_masonry.dir', 'asc');       // sortBy direction: asc, desc
c::set('plg_masonry.lightbox', 'swipebox');

// bastians columns.php plugin from https://github.com/getkirby/plugins/tree/master/columns
c::set('columns.container', 'row');
c::set('columns.item', 'col-sm-6 columns');

// enhanced sitemap by Jannik Beyerstedt:
c::set('smap_ignoreSite',     array('sitemap', 'error', 'home'));
c::set('smap_ignoreTemplate', array('carousel'));
c::set('smap_heading_visible', 'Hauptmenü');
c::set('smap_heading_invisible', 'weitere Seiten');
//c::set('smap_column_class_id', 'class="foo" id="bar"');

/*
Piwik Plugin configuration
*/
c::set('spicy.piwik.active', true);
c::set('spicy.piwik.url', 'https://jannikb.aquila.uberspace.de/piwik');
c::set('spicy.piwik.id', 2);
